Skip to navigation

Update RequestV2Definition

Beta
Update RequestV2Definition.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

request_v2_definition_idstringRequired
ID of the RequestV2Definition.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Request

This endpoint expects an object.
archiveReasonstringOptional
archivedbooleanOptional
descriptionstring or nullOptional
Description of the request template. Must not exceed 1024 characters and must not contain a null character.
namestringOptional
Name of the request template. Must not be empty, must not exceed 255 characters, and must not contain a null character.
prefixstringOptional
Prefix for the displayId of requests created from this template.
templateCollectionIdstringOptional
API ID of the template collection to move this request template to.

Response

OK
__typenamestringOptional
archiveReasonstring or nullOptional
archivedbooleanOptional
createdAtstring or nullOptional
creatorobjectOptional
descriptionstring or nullOptional
Description of the request template.
idstringOptional
modifiedAtstring or nullOptional
namestringOptional
prefixstringOptional
The prefix for the displayId of tasks of this schema.
templateCollectionobjectOptional
webUrlstring or nullOptional
workflowTaskSchemaobjectOptional
The task schema backing this configuration.

Errors

400
Request V2definition Update Request Bad Request Error
403
Request V2definition Update Request Forbidden Error
404
Request V2definition Update Request Not Found Error
409
Request V2definition Update Request Conflict Error
429
Request V2definition Update Request Too Many Requests Error
500
Request V2definition Update Request Internal Server Error